**Source URL:** https://limited.veevavault.dev/medical/vault-api/api-reference/24.2/documents/update-documents/update-document-version.md

# Update Document Version



Update editable field values on a specific version of a document. See also [Update Document](/vault-api/api-reference/24.2/documents/update-documents/update-single-document) above.

<Endpoint path="/api/{version}/objects/documents/{doc_id}/versions/{major_version}/{minor_version}" method="PUT"></Endpoint>

## Headers {#headers}

<FieldTable>
| Name | Description |
| --- | --- |
| `Content-Type` | `application/x-www-form-urlencoded` |
| `Accept` | `application/json` (default) or `application/xml` |
| `X-VaultAPI-MigrationMode` | When set to `true`, Vault allows you to manually set the document number. All other Document Migration Mode overrides available at document creation are ignored, but do not generate an error message. You must have the *Document Migration* permission to use this header. Learn more about [Document Migration Mode in Vault Help](https://platform.veevavault.help/en/lr/54028). |
</FieldTable>

## URI Path Parameters {#uri-path-parameters}

<FieldTable>
| Name | Description |
| --- | --- |
| `{doc_id}` | The document `id` field value. |
| `{major_version}` | The document `major_version_number__v` field value. |
| `{minor_version}` | The document `minor_version_number__v` field value. |
</FieldTable>

## Request {#request}

<CodeExample title="">
```
curl -X PUT -H "Authorization: {SESSION_ID}" \
-H "Content-Type: application/x-www-form-urlencoded" \
-d "language__v=English" \
-d "product__v=1357662840171" \
-d "audience__c=consumer__c" \
https://myvault.veevavault.com/api/v15.0/objects/documents/534/versions/2/0

```
</CodeExample>

## Response {#response}

<CodeExample title="">
```
{
    "responseStatus": "SUCCESS",
    "id": 534
}

```
</CodeExample>

## Response Details {#response-details}

On `SUCCESS`, Vault updates field values for the specified version of the document and returns the ID of the updated document.



---

**Previous:** [Reclassify Multiple Documents](/medical/vault-api/api-reference/24.2/documents/update-documents/reclassify-multiple-documents)  
**Next:** [Create Multiple Document Versions](/medical/vault-api/api-reference/24.2/documents/update-documents/create-multiple-document-versions)